import { get, post,downLoadByBlob} from "../common/http";
import base from "../common/base";

const report = {
    // 学生-历次变化
    examScoreList(data){
        return get(`${base.prefix}/api/v1/studentPinpoint/examScoreList`,data);
    } ,
    // 学生-历次考试知识点追踪
    examKnowledgePointTrack(data){
        return post(`${base.prefix}/api/v1/studentPinpoint/examKnowledgePointTrack`,data);
    },
    // 知识点图谱
    studentKnowledgeGraph(data){
        return post(`${base.prefix}/api/v1/studentPinpoint/studentKnowledgeGraph`,data);
    },
    // 知识点树
    studentKnowledgeDataTree(data){
        return post(`${base.prefix}/api/v1/studentPinpoint/studentKnowledgeDataTree`,data);
    },
    // 历次变化
    knowledgeExamPrevious(data){
        return post(`${base.prefix}/api/v1/studentPinpoint/knowledgeExamPrevious`,data);
    },
    // 推送试题列表
    pushQuestionList(data){
        return get(`${base.prefix}/api/v1/studentPinpoint/pushQuestionList`,data);
    },
    // 导出精准提升试题
    downloadPushQuestion(data){
        return downLoadByBlob(`${base.prefix}/api/v1/studentPinpoint/downloadPushQuestion`,data);
    },
};

export default report;
